<template>
  <section class="RTContainer" v-if="roleshow">
    <!-- <section class="RTContainerTop">
        <RTContainerTop></RTContainerTop>
    </section> -->
    <section class="RTContainerBox">
      <section class="RTContainerBoxLeft">
        <RTContainerWK></RTContainerWK>
        <RTContainerwork></RTContainerwork>
        <RTContainerznzs></RTContainerznzs>
      </section>
      <section class="RTContainerBoxCenter">
        <RTContainerGT></RTContainerGT>
        <RTContainerNews></RTContainerNews>
        <RTContainermeet></RTContainermeet>
      </section>
      <section class="RTContainerBoxRight">
        <RTContainerLeader></RTContainerLeader>
        <RTContainerZltx></RTContainerZltx>
        <RTContainerZltxJG></RTContainerZltxJG>
      </section>
    </section>
  </section>
</template>
<script>
import RTContainerTop from "./RTContainerTop";
import RTContainerWK from "./RTContainerWK";
import RTContainerznzs from "./RTContainerznzs";
import RTContainerwork from "./RTContainerwork";

import RTContainerGT from "./RTContainerGT";
import RTContainerNews from "./RTContainerNews";
import RTContainermeet from "./RTContainermeet";

import RTContainerLeader from "./RTContainerLeader";
import RTContainerZltx from "./RTContainerZltx";
import RTContainerZltxJG from "./RTContainerZltxJG";

export default {
  data() {
    return {
      roleshow: false,
    };
  },
  mounted() {
    this.roleAuthShow();
  },
  components: {
    RTContainerTop,
    RTContainerWK,
    RTContainerznzs,
    RTContainerwork,
    RTContainerGT,
    RTContainerNews,
    RTContainermeet,
    RTContainerLeader,
    RTContainerZltx,
    RTContainerZltxJG,
  },
  methods: {
    roleAuthShow() {
      this.$api.RtrolePermissiondisplay(
        {},
        {
          onSucess: (response) => {
            console.log(response.data);
            this.roleshow = response.data.show || false;
          },
        }
      );
    },
  },
};
</script>
<style lang="scss" scoped>
.RTContainer {
  padding: 0px;
  display: flex;
  flex-direction: column;
  .RTContainerTop {
    margin-bottom: 16px;
  }
  .RTContainerBox {
    display: flex;
    padding-top: 5px;
    padding-left: 16px;
    padding-right: 16px;
    .RTContainerBoxLeft {
      // flex:1;
      // max-width: 540px;
      // width: 30%;
      min-width: 360px;
      width: 360px;
      display: flex;
      flex-direction: column;
    }
    .RTContainerBoxCenter {
      margin-left: 24px;
      // min-width: 572px;
      min-width: 40%;
      flex: 1;
      display: flex;
      flex-direction: column;
    }
    .RTContainerBoxRight {
      // flex:1;
      // min-width: 620px;
      // width: 30%;
      max-width: 616px;
      margin-left: 24px;
      display: flex;
      flex-direction: column;
    }
  }
}
</style>
